## org.apache.cassandra.streaming
Class AbstractStreamSession

    java.lang.Object
      org.apache.cassandra.streaming.AbstractStreamSession

All Implemented Interfaces:
  IEndpointStateChangeSubscriber, IFailureDetectionEventListener

Direct Known Subclasses:
  StreamInSession, StreamOutSession

    public abstract class AbstractStreamSession

extends java.lang.Object
implements IEndpointStateChangeSubscriber, IFailureDetectionEventListener

Field Summary
`protected IStreamCallback` `callback`
`protected Pair<java.net.InetAddress,java.lang.Long>` `context`
`protected java.lang.String` `table`

Constructor Summary
`protected` `AbstractStreamSession(java.lang.String table, Pair<java.net.InetAddress,java.lang.Long> context, IStreamCallback callback)`

Method Summary
`void` `close(boolean success)`
`protected abstract void` `closeInternal(boolean success)`
`void` `convict(java.net.InetAddress endpoint, double phi)` Convict the specified endpoint.
`java.net.InetAddress` `getHost()`
`long` `getSessionId()`
`int` `getSourceFlag()`
`void` `onAlive(java.net.InetAddress endpoint, EndpointState state)`
`void` `onChange(java.net.InetAddress endpoint, ApplicationState state, VersionedValue value)`
`void` `onDead(java.net.InetAddress endpoint, EndpointState state)`
`void` `onJoin(java.net.InetAddress endpoint, EndpointState epState)` Use to inform interested parties about the change in the state for specified endpoint
`void` `onRemove(java.net.InetAddress endpoint)`
`void` `onRestart(java.net.InetAddress endpoint, EndpointState epState)` Called whenever a node is restarted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected java.lang.String table

### context

    protected Pair<java.net.InetAddress,java.lang.Long> context

### callback

    protected final IStreamCallback callback

Constructor Detail

### AbstractStreamSession

    protected AbstractStreamSession(java.lang.String table,
                                    Pair<java.net.InetAddress,java.lang.Long> context,
                                    IStreamCallback callback)

Method Detail

### getSourceFlag

    public int getSourceFlag()

### getSessionId

    public long getSessionId()

### getHost

    public java.net.InetAddress getHost()

### close

    public void close(boolean success)

### closeInternal

    protected abstract void closeInternal(boolean success)

### onJoin

    public void onJoin(java.net.InetAddress endpoint,
                       EndpointState epState)

  Description copied from interface: `IEndpointStateChangeSubscriber`
  Use to inform interested parties about the change in the state for specified endpoint

  Specified by:
    `onJoin` in interface `IEndpointStateChangeSubscriber`
  Parameters:
    `endpoint` - endpoint for which the state change occurred.
    `epState` - state that actually changed for the above endpoint.

### onChange

    public void onChange(java.net.InetAddress endpoint,
                         ApplicationState state,
                         VersionedValue value)

  Specified by:
    `onChange` in interface `IEndpointStateChangeSubscriber`

### onAlive

    public void onAlive(java.net.InetAddress endpoint,
                        EndpointState state)

  Specified by:
    `onAlive` in interface `IEndpointStateChangeSubscriber`

### onDead

    public void onDead(java.net.InetAddress endpoint,
                       EndpointState state)

  Specified by:
    `onDead` in interface `IEndpointStateChangeSubscriber`

### onRemove

    public void onRemove(java.net.InetAddress endpoint)

  Specified by:
    `onRemove` in interface `IEndpointStateChangeSubscriber`

### onRestart

    public void onRestart(java.net.InetAddress endpoint,
                          EndpointState epState)

  Description copied from interface: `IEndpointStateChangeSubscriber`
  Called whenever a node is restarted. Note that there is no guarantee when that happens that the node was previously marked down. It will have only if `state.isAlive() == false` as `state` is from before the restarted node is marked up.

  Specified by:
    `onRestart` in interface `IEndpointStateChangeSubscriber`

### convict

    public void convict(java.net.InetAddress endpoint,
                        double phi)

  Description copied from interface: `IFailureDetectionEventListener`
  Convict the specified endpoint.

  Specified by:
    `convict` in interface `IFailureDetectionEventListener`
  Parameters:
    `endpoint` - endpoint to be convicted
    `phi` - the value of phi with with ep was convicted

Copyright © 2013 The Apache Software Foundation